Bug 1474044 - Boot into black screen without nomodeset (kernel 4.11.10-300.fc26.x86_64)
Boot into black screen without nomodeset (kernel 4.11.10-300.fc26.x86_64)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-23 07:56 EDT by A. Galama
Modified: 2018-06-19 09:29 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:28:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 105221 None None None 2018-02-23 02:44 EST

  None (edit)
Description A. Galama 2017-07-23 07:56:50 EDT
Description of problem:
I updated from Fedora 25 to 26 and when the boot process switches from text mode to graphics mode all I get is a blank screen. Only thing I can do is press the reset button. I have an ATI Radeon HD 5450 if that helps. The system boots when I add "nomodeset" but then it only shows garbage when the X server starts.

Since Fedora 26 is completely unusable for me in this condition I reverted to my F25 backup.

Version-Release number of selected component (if applicable):
4.11.10-300.fc26.x86_64
Comment 1 Daine Wright 2017-08-01 10:30:58 EDT
I have the same issue after updating to Fedora 26. 

F26 works with kernel 4.11.10-200.fc25.x86_64, but I get the blank screen with 4.11.10-300.fc26.x86_64 and 4.11.11-300.fc26.x86_64


Graphics: AMD/ATI Redwood XT GL FirePro V4800
Comment 2 A. Galama 2017-08-03 02:26:45 EDT
Why has this bug been moved from kernel to xorg-x11-drv-radeonhd (and without any justifying comment)? The problem occurs during kernel boot (in my case just before it would ask me for my LUKS passphrase). Surely the kernel does not use the xorg drivers.
Comment 3 Justin M. Forbes 2017-08-03 09:17:47 EDT
(In reply to A. Galama from comment #2)
> Why has this bug been moved from kernel to xorg-x11-drv-radeonhd (and
> without any justifying comment)? The problem occurs during kernel boot (in
> my case just before it would ask me for my LUKS passphrase). Surely the
> kernel does not use the xorg drivers.

The xorg-x11-drv owners are also those who take care of the kernel portion. All gpu kernel bugs get reassigned to the relevant xorg-x11-drv to get the appropriate attention.
Comment 4 Daine Wright 2017-08-04 09:39:20 EDT
This problem is intermittent for me. It boots fine about 1 in 4-5 tries. The other times the screen remains blank.

Both 4.11.10-300.fc26.x86_64 and 4.11.11-300.fc26.x86_64 behave the same.
Comment 5 A. Galama 2017-09-03 15:29:48 EDT
No progress. Bug still exists in kernel 4.12.9-300.
Comment 6 Egor Zaharov 2017-10-13 15:30:13 EDT
Someone re-report this bug on bugzilla.freedesktop.org and link it here. Otherwise, I think, this bug will never get noticed...

[Just a stranger, Googling things.]
Comment 7 A. Galama 2017-10-16 08:23:44 EDT
Still no progress. Bug still exists in kernel 4.13.5-200.

If someone asked me whether I would recommend Fedora to a friend, I would say no.
Comment 8 Eric Smith 2018-02-23 02:26:57 EST
The problem was intermittent for me in Fedora 26, but with Fedora 27 I have never been able to get to the LUKS passphrase prompt unless I replace "rhgb" with "nomodeset" on the kernel command line. As far as I can tell, once it switches the graphics mode, the system hangs. Trying to blindly enter the passphrase does nothing, hitting escape does nothing, hitting control-alt-delete does nothing.  Have tried several F17 kernels, most recently 4.15.3-300.fc27.x86_64.

This is particularly aggravating because I have a 2560x1600 monitor, but with "nomodeset" on the kernel command line, the X server will only run at 1600x1200 resolution.

My system has Asus Sabertooth 990FX R2.0 motherboard, AMD FX-8350 CPU, and Radeon 5850 graphics card.
Comment 9 Eric Smith 2018-02-24 20:58:27 EST
Replaced Radeon HD 5850 (midrange Evergreen) with Radon R7-240 (low-end GCN 1st gen), and it boots fine without needing to remove rhgb or add nomodeset.
Comment 10 Tareef 2018-04-02 14:15:54 EDT
I have the same problem here, Fedora 27 boots fine with kernels 4.13 and below, but from 4.14 and latter boot fails with black screen until I add nomodeset which causes hangs to the system
Comment 11 Steve Fox 2018-04-02 14:20:11 EDT
I've been running the 4.11.8-300.fc26.x86_64 kernel since this started, however recently I accidentally booted into kernel-4.15.6-200.fc26.x86_64 and was surprised that I got all the way into GNOME. Unfortunately a couple of days later the system completely froze.

Hardware: 01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Redwood PRO [Radeon HD 5550/5570/5630/6510/6610/7570]

Connected to 3 monitors.
Comment 12 Dragos Delcea 2018-04-12 05:28:59 EDT
I'm on Fedora 27, have an ATI Radeon graphics card (see below for model) and have the same issue as the OP: when the boot process switches from text mode to graphics mode all I get is a blank screen.

This has been happening for a long time (since at least F26, probably as far back  as F25 can't remember exactly now), but while initially it would only happen rarely, currently I only get about 1 in 5 boots to get to GDM screen.

Once it has successfully booted though, there are no issues, everything works as expected and is rock solid (I use the computer 6-8 hours at a time without problems); it recovers correctly from sleep.

Hardware:
VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Redwood LE [Radeon HD 5550/5570/5630/6390/6490/7570]

it is the only graphics card in the system, and it's connected to a single 22' LCD monitor via DVI interface.


current kernel is 4.15.15-300.fc27.x86_64, but as I was saying, this keeps happening for the last 2 or 3 Fedora releases.
Comment 13 Fedora End Of Life 2018-05-03 04:08:47 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2018-05-29 08:28:45 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Alex Regan 2018-06-16 12:04:12 EDT
I'm still experiencing this bug with a Radeon and the latest f28 kernel

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cypress PRO [Radeon HD 5850]

$ uname -a
Linux localhost 4.16.15-300.fc28.x86_64 #1 SMP Tue Jun 12 00:42:35 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Adding 'nomodeset' to the boot command-line fixes it.
Comment 16 Steve Fox 2018-06-19 09:29:30 EDT
(In reply to Steve Fox from comment #11)
> I've been running the 4.11.8-300.fc26.x86_64 kernel since this started,
> however recently I accidentally booted into kernel-4.15.6-200.fc26.x86_64
> and was surprised that I got all the way into GNOME. Unfortunately a couple
> of days later the system completely froze.
> 
> Hardware: 01:00.0 VGA compatible controller: Advanced Micro Devices, Inc.
> [AMD/ATI] Redwood PRO [Radeon HD 5550/5570/5630/6510/6610/7570]
> 
> Connected to 3 monitors.

In case anyone else has this device, I have managed to find resolution to this by upgrading to Fedora 28. I am not using nomodeset, am on 4.16.14-300.fc28.x86_64, and can get a week of uptime (maybe longer; haven't tried).

Note You need to log in before you can comment on or make changes to this bug.